ReflectedArgs (Jython API documentation)
Date: 2012-08-13

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.python.core
Class ReflectedArgs

    java.lang.Object
      org.python.core.ReflectedArgs

    public class ReflectedArgs

extends Object

Field Summary
`Class<?>[]` | `args`
`Object` | `data`
`Class<?>` | `declaringClass`
`int` | `flags`
`boolean` | `isStatic`
`boolean` | `isVarArgs`
`static int` | `PyArgsCall`
`static int` | `PyArgsKeywordsCall`
`static int` | `REPLACE`
`static int` | `StandardCall`

Constructor Summary
`ReflectedArgs(Object data, Class<?>[] args, Class<?> declaringClass, boolean isStatic)`
`ReflectedArgs(Object data, Class<?>[] args, Class<?> declaringClass, boolean isStatic, boolean isVarArgs)`

Method Summary
`static int` | `compare(Class<?> arg1, Class<?> arg2)`
`int` | `compareTo(ReflectedArgs other)`
`boolean` | `matches(PyObject self, PyObject[] pyArgs, String[] keywords, org.python.core.ReflectedCallData callData)`
`static int` | `precedence(Class<?> arg)`
`String` | `toString()`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### args

    public Class<?>[] args

### data

    public Object data

### declaringClass

    public Class<?> declaringClass

### isStatic

    public boolean isStatic

### isVarArgs

    public boolean isVarArgs

### flags

    public int flags

### StandardCall

    public static final int StandardCall

See Also:
  Constant Field Values

### PyArgsCall

    public static final int PyArgsCall

See Also:
  Constant Field Values

### PyArgsKeywordsCall

    public static final int PyArgsKeywordsCall

See Also:
  Constant Field Values

### REPLACE

    public static final int REPLACE

See Also:
  Constant Field Values

Constructor Detail

### ReflectedArgs

    public ReflectedArgs(Object data,
                         Class<?>[] args,
                         Class<?> declaringClass,
                         boolean isStatic)

### ReflectedArgs

    public ReflectedArgs(Object data,
                         Class<?>[] args,
                         Class<?> declaringClass,
                         boolean isStatic,
                         boolean isVarArgs)

Method Detail

### matches

    public boolean matches(PyObject self,
                           PyObject[] pyArgs,
                           String[] keywords,
                           org.python.core.ReflectedCallData callData)

### precedence

    public static int precedence(Class<?> arg)

### compare

    public static int compare(Class<?> arg1,
                              Class<?> arg2)

### compareTo

    public int compareTo(ReflectedArgs other)

### toString

    public String toString()

  Overrides:
    `toString` in class `Object`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Jython homepage